---
title: Get Journey Results
slug: us-apis/get-journey-results
createdAt: 2024-05-31T11:48:59.854Z
---

# Overview and Purpose

## Overview

The Get Journey Results API allows clients to retrieve the detailed results of a completed KYC journey. If a callback URL was provided during the journey configuration, the results are automatically sent to that URL. Alternatively, clients can use this API to fetch the journey results directly.

## Purpose

The purpose of this API is to provide clients with comprehensive results of a user's KYC journey, including journey status,  document intelligence, face match and liveness, and any errors encountered. This information is crucial for clients to review and make informed decisions based on the KYC data.

# API Details

- **Request ParametersInput**: JOURNEY\_ID and Authorization token to identify and authenticate the request.
- **Output**: Includes journeyId, flowId, user data (consent, country, idType, document and face images), verification results (face match score, liveliness score, image quality, document intelligence), and any errors encountered.

### Endpoint Details

Request type - **POST**

**Pre-prod Environment** ->

:::BlockQuote
[[[https://api-preproduction.signzy.app/api/v3/otk-service/get-journey/](https://api.signzy.ae/api/v3/otk-service/get-journey/4SG9R8GKHD)\{journey id}](https://api.signzy.ae/api/v3/otk-service/create-journey-url)](https://api.signzy.app/api/v3/liveness-secure/createUrl)
:::

**India Production environment&#x20;**->

[[[https://api.signzy.app/api/v3/otk-service/get-journey/](https://api.signzy.ae/api/v3/otk-service/get-journey/4SG9R8GKHD)\{journey id}](https://api.signzy.ae/api/v3/otk-service/create-journey-url)](https://api.signzy.app/api/v3/liveness-secure/createUrl)

**US Production environment&#x20;**->

[[[https://api.signzy.us/api/v3/otk-service/get-journey/](https://api.signzy.ae/api/v3/otk-service/get-journey/4SG9R8GKHD)\{journey id}](https://api.signzy.ae/api/v3/otk-service/create-journey-url)](https://api.signzy.app/api/v3/liveness-secure/createUrl)

**Canada Production environment&#x20;**->

[[[https://api.signzy.ca/api/v3/otk-service/get-journey/](https://api.signzy.ae/api/v3/otk-service/get-journey/4SG9R8GKHD)\{journey id}](https://api.signzy.ae/api/v3/otk-service/create-journey-url)](https://api.signzy.app/api/v3/liveness-secure/createUrl)

**UAE Production environment&#x20;**->

[[[https://api.signzy.ae/api/v3/otk-service/get-journey/](https://api.signzy.ae/api/v3/otk-service/get-journey/4SG9R8GKHD)\{journey id}](https://api.signzy.ae/api/v3/otk-service/create-journey-url)](https://api.signzy.app/api/v3/liveness-secure/createUrl)

## API Request

:::CodeblockTabs
PreProduction

```bash
curl --location 'https://api-preproduction.signzy.app/api/v3/otk-service/get-journey/1234556' \
--header 'Authorization: <Auth-token>' \
--header 'Content-Type: application/json' \
--data ''
```
:::

## API Response Structure

```json
 {
        "flow": {
            "flowId": "<flow ID>",
            "version": 1
        },
        "processingConfig": {
            "callbackUrl": "https://callback-url",
            "authKeyForCallback": "<auth-key>",
            "redirectTime": 10,
            "language":"en",
            "successRedirectUrl": "",
            "failureRedirectUrl": "",
            "journeyLinkValidity": 3600,
            "journeySessionExpiry":600,
            
    
        },
        "capturedData": {
            "images": {
                "frontDoc": "https://persist.signzy.tech/sample1.jpeg",
                "backDoc": "https://persist.signzy.tech/sample2.jpeg",
                "selfie": "https://persist.signzy.tech/sample3.jpeg"
            },
            "consent": true, // consent on 1st instruction page
            "livenessConsent": false, // consent on selfie analysis instruction page
            "country": "US", // country selected by user
            "idType": "Driving License" // document selected by user
        },
        "matchPercentage": {
        "dateOfBirthMatch": "NA",
        "addressMatch": "NA",
        "fullNameMatch": "NA"
    },
    
        "documentIntelligence": {
            "completeStatus": {
                "detailsOptical": {
                    "docType": "True",
                    "expiry": "True",
                    "imageQA": "False",
                    "mrz": "None",
                    "overallStatus": "True",
                    "pagesCount": 2,
                    "security": "True",
                    "text": "True",
                    "vds": "None"
                },
                "optical": "True",
                "overallStatus": "True", // Overall result of document intelligence
                "message": "Document validated successfully",// depends on the overall staus and flag triggered
                "severity": "NA", // Flag triggered severity
                "portrait": "None",
                "rfid": "None"
            },
            "imageQuality": {
                "result": false,
                "frontIdCheck": {
                    "ImageGlares": false,
                    "ImageFocus": true,
                    "ImageResolution": false,
                    "ImageColorness": "NA",
                    "Perspective": true,
                    "Bounds": true,
                    "Portrait": true,
                    "Brightness": "NA"
                },
                "backIdCheck": {
                    "ImageGlares": false,
                    "ImageFocus": true,
                    "ImageResolution": false,
                    "ImageColorness": "NA",
                    "Perspective": true,
                    "Bounds": true,
                    "Portrait": true,
                    "Brightness": "NA"
                }
            },
            
            "extractedFieldErrors": [], // Contains details about OCR issues and any mismatches between data extracted from OCR and data from the barcode/MRZ
              
            "authenticityCheck": {
                "frontAuthenticityCheckList": {
                    "photoEmbedType": [
                        {
                            "ElementResult": true,
                            "ElementDiagnose": "PASS",
                            "ElementType": "FACE_PRESENCE",
                            "Image": null,
                            "EtalonImage": null
                        }
                    ],
                    "IMAGE_PATTERN": [
                        {
                            "ElementResult": true,
                            "ElementDiagnose": "PASS",
                            "ElementType": "BLANK",
                            "Image": "https://persist.signzy.tech/api/files/979758139/download/74e88976d2f34f31af205db4a14ec8d5f65cf348df5147a18e2a4bfa2ef27427.png",
                            "EtalonImage": "https://persist.signzy.tech/api/files/979758140/download/1a52df165f6945a78e53f15a38d7d43b6175b8acf95e44429bc574fab89c2009.png"
                        }
                    ],
                    "liveness": [
                        {
                            "ElementResult": true,
                            "ElementDiagnose": "PASS",
                            "ElementType": "LIVENESS_ELECTRONIC_DEVICE",
                            "Image": null,
                            "EtalonImage": null
                        }
                   ]
                },
                "backAuthenticityCheckList": {
                    "IMAGE_PATTERN": [
                        {
                            "ElementResult": true,
                            "ElementDiagnose": "PASS",
                            "ElementType": "BLANK",
                            "Image": "https://persist.signzy.tech/api/files/979758145/download/01ee3f2e4b47441793dbeab0fe855f3c2895a920592140e98e61dae206032380.png",
                            "EtalonImage": "https://persist.signzy.tech/api/files/979758146/download/95c43da026204281a5e799d97873026a05059bedc05043238999d3670a744ab5.png"
                        },
                        {
                            "ElementResult": true,
                            "ElementDiagnose": "PASS",
                            "ElementType": "CONTACT_CHIP_CLASSIFICATION",
                            "Image": "https://persist.signzy.tech/api/files/979758144/download/426a5e427b7c4abea5d6f7ba7386272eb5b3396711e6448bb4b1fc9100f4ff96.png",
                            "EtalonImage": "https://persist.signzy.tech/api/files/979758147/download/1059678e44c9439b9c45bec2c95f54fdc68370993da64129a1aa62ee8d8e369e.png"
                        }
                    ]
                }
            },
            "graphicFields": {
                "fieldList": [
                    [
                        {
                           
                            "fieldType": "PORTRAIT",
                            "value": "https://persist.signzy.tech/sample6.png",
                            "docSide": "FRONT",
                            "source": "VISUAL",
                            "containerType": "VISUAL_GRAPHICS"
                        }
                    ],
                    [
                        {
                            
                            "fieldType": "SIGNATURE",
                            "value": "https://persist.signzy.tech/sample7.png",
                            "docSide": "FRONT",
                            "source": "VISUAL",
                            "containerType": "VISUAL_GRAPHICS"
                        }
                    ],
                    [
                        {        
                            "fieldType": "GHOST_PORTRAIT",
                            "value": "https://persist.signzy.tech/sample8.png",
                            "docSide": "FRONT",
                            "source": "VISUAL",
                            "containerType": "VISUAL_GRAPHICS"
                        }
                    ],
                    [
                        {
                            "fieldType": "SIGNATURE",
                            "value": "https://persist.signzy.tech/api/files/979758129/download/6350a71b93624d9ea44bd20e931ecae11b3e354d411d43c8b70715ca0b54a97c.png",
                            "docSide": "FRONT",
                            "source": "VISUAL",
                            "containerType": "VISUAL_GRAPHICS"
                        }
                    ],
                    [
                        {
                            "fieldType": "GHOST_PORTRAIT",
                            "value": "https://persist.signzy.tech/api/files/979758128/download/563086621ab1420ba0d9265facd2ad8661a0c75f2eaa49c3aabdeb558a64c3da.png",
                            "docSide": "FRONT",
                            "source": "VISUAL",
                            "containerType": "VISUAL_GRAPHICS"
                        }
                    ],
                    [
                        {
                            "fieldType": "CROPPED_DOCUMENT",
                            "value": "https://persist.signzy.tech/api/files/979758135/download/baa0ae2446c046f197e4c868700ced3a41ef5f21ec744d87a12b06ee40631fb1.png",
                            "docSide": "FRONT",
                            "source": "VISUAL",
                            "containerType": "DOCUMENT_IMAGE"
                        },
                        {
                            "fieldType": "CROPPED_DOCUMENT",
                            "value": "https://persist.signzy.tech/api/files/979758136/download/6961e7acd86741d7876302647f44f9b4b456d18f0cd0434fbb50ed3e208611b5.png",
                            "docSide": "BACK",
                            "source": "VISUAL",
                            "containerType": "DOCUMENT_IMAGE"
                        }
                    ]
                ]
            ]
        },
        "predictedIdTypeFront": {
            "DocumentName": "United Arab Emirates - Resident Id Card (2021) (Golden Card) #2",
            "FDSIDList": {
                "ICAOCode": "ARE",
                "dCountryName": "United Arab Emirates",
                "dDescription": "Resident Identity Card",
                "dFormat": 0,
                "dMRZ": false,
                "dType": 224,
                "dYear": "2021",
                "isDeprecated": false
            },
            "P": 0.9670456647872925
        },
        "predictedIdTypeBack": {
            "DocumentName": "United Arab Emirates - Resident Id Card (2021) (Golden Card) Side B",
            "FDSIDList": {
                "ICAOCode": "ARE",
                "dCountryName": "United Arab Emirates",
                "dDescription": "Resident Identity Card",
                "dFormat": 0,
                "dMRZ": true,
                "dType": 224,
                "dYear": "2021",
                "isDeprecated": false
            },
            "P": 0.9594634771347045
        },
        "idExpired": "False",
        "extractedFields": {
            "RemainderTerm": "29",
            "DL Endorsed": "NONE",
            "Document Class Code": "IL",
            "RemainderTerm": "98",
            "Issuing State Name": "United Arab Emirates",
            "Age at Issue": "24",
            "Age": "26",
            "names": "John Doe",
            "Surname And Given Names": "اجو",
            "Final Checkdigit": "",
            "Nationality Code": "IND",
            "Date of Expiry Checkdigit": "1",
            "Date of Expiry": "dd/mm/yyyy",
            "Date of Birth Checkdigit": "7",
            "MRZ Strings": "xxxxxxxxxxx",
            "Issuing State Code": "ARE",
            "Document Number": "123456789",
            "Document Number Checkdigit": "0",
            "Sex": "ذكر",
            "Date of Birth": "dd/mm/yyyy",
            "Optional Data CheckDigit": "3",
            "Identity Card Number": "xxxxxxx",
            "Optional Data": "xxxxx",
            "Nationality": "India",
            "Years Since Issue": "1",
            "Date of Issue": "dd/mm/yyyy",
            "Place of Issue": "دبي",
            "Profession": "بدون عمل",
            "firstName": "John Doe",
            "Given Names": "John Doe",
            "lastName": "Doe",
            "Surname": "Doe",
            "MRZ Type": "ID-1"
        },
        "attempts": 2 // attempt number of document analysis

    },
    "selfieAnalysis": {
       "passiveLiveliness": {
       "status": "200",
       "liveness": true,
       "score": 0.99
         },
         
      "faceMatch": {
      "status": "200",
      "verified": true,
      "message": "Verification completed with positive result",
      "matchPercentage": "99.00%"
     },
     
     "additionalFaceChecks": {
        "maskDetection": {
           "status": "200",
            "result": {
                "found": false,
                "confidence": 0
               }
              },
        "faceCoverDetection": {
           "status": "200",
            "result": {
                "isFaceCovered": false,
                "faceGears": []
               }
             }
      },
      "attempts": 3
    },
   
    "_id": "<unique db id>",
    "clientId": "<client Id>",
    "userId": "<user ID>",
    "journeyId": "<journey ID >",
    "currentStatus": "COMPLETED",
    "step": "COMPLETE",
    "message": "Journey Completed",
    "callbackSent": true,
    "mobileStatus": false,
      "userInfo": {
        "phoneNumber": "",
        "externalReferenceId": "",
        "dateOfBirth": "",
        "emailAddress": "",
        "name": {
            "firstName": "",
            "lastName": ""
        },
        "address": {
            "street": "",
            "street2": "",
            "city": "",
            "region": "",
            "postalCode": "",
            "country": ""
        },
        "id": {
            "idType": "",
            "country": ""
        }
    },
    
    //External API ( based on flow configuration)
    "externalApiResponses": [
       {
          "API": "Resident_Id_Card_Verification",
          "Input": {
            "Emirates ID Number": "<eid number>",
           "Date of Birth": "<dob>",
           "Current Nationality": "india"
      },
         "Response": {
            "emiratesIdNumber": <eid number>,
            "dateOfBirth": "<dob>",
            "currentNationality": "india",
            "issueDate": "<date>",
            "expiryDate": "<date>",
            "eidCardNumber": "<number>",
            "overallStatus": "True" // based on response
      }
    }
    ],
     
      "ipAddresses": {
          "<ip address>": {
                 "asn": "<asn>",
                 "isp": "<isp>",
                 "countryCode": "IND",
                 "region": "MAHARASHTRA",
                 "city": "MUMBAI",
                 "organization": "<organization>",
                 "latitude": "19.76",
                 "longitude": "72.87",
                 "isCrawler": "false",
                 "timezone": "IST, Asia/Kolkata",
                 "mobile": "false",
                 "host": "<host>",
                 "proxy": "false",
                 "vpn": "false",
                 "tor": "false",
                 "recentAbuse": "false",
                 "botStatus": "false",
                 "fraudScore": "0",
                 "address": "<address>
          }
      }
    "createdAt": 1721541339746,
    "startedAt": 1721541345038,
    "completedAt": 1721541398034,
    "_deleted": false,
    "deletionTimeLimit": 1576800, // set based on automatic data deletion setting
    "updatedAt": "2024-07-21T05:56:38.041Z",
    "__v": 0
}
}
}
```

## Response Body Parameters

### `result` object:&#x20;

| **Parameter Name**                    | **Type** | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| ------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| flow                                  | Object   | Object containing flow details.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| flow\.flowId                          | String   | The unique identifier for the flow.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| flow\.version                         | Number   | The version number of the flow.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| processingConfig                      | Object   | Object containing processing configuration details.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| processingConfig.callbackUrl          | String   | The URL to which the callback data will be sent.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| processingConfig.authKeyForCallback   | String   | The authentication key for the callback URL.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| processingConfig.journeyLinkValidity  | Number   | The validity period of the journey link in **seconds**.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| processingConfig.journeySessionExpiry | Number   | The validy of period of the journey session in seconds. Default value is 600 ( 10 minutes)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| processingConfig.redirectTime         | Number   | Time in **seconds**, after which the redirection will happen                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| processingConfig.language             | String   | This overwrites the selected language in the flow. <br />en: "English",<br />fr: "French",<br />hi: "Hindi",<br />ru: "Russian",<br />es: "Spanish",<br />ch: "Chinese",<br />dh: "Dutch",<br />ar: "Arabic",<br />be: "Bengali",<br />pg: "Portuguese",<br />ur: "Urdu",<br />id: "Indonesian",<br />gr: "Germany",<br />jp: "Japanese",<br />mr: "Marathi",<br />tl: "Telugu",<br />tm: "Tamil",<br />tu: "Turkish",<br />ko: "Korean",<br />vm: "Vietnamese",<br />it: "Italian",<br />hu: "Hausa",<br />th: "Thai",<br />gj: "Gujarati",<br />ka: "Kannada",<br />bj: "Bhojpuri",<br />fp: "Filipino",<br />bm: "Burmese",<br />pl: "Polish",<br />yb: "Yoruba",<br />od: "Odia",<br />ml: "Malayalam",<br />mt: "Maithili",<br />uk: "Ukrainian",<br />ep: "Eastern Punjabi",<br />sd: "Sunda",<br />sh: "Swahili",<br />wp: "Western Punjabi",<br />wc: "Wu Chinese",<br />yc: "Yue Chinese",<br />jv: "Javanese",<br />ea: "Egyptian Spoken Arabic",<br />ip: "Iranian Persian",<br />sc: "Southern Min Chinese",<br />hc: "Hakka Chinese",<br />jc: "Jinyu Chinese",<br />ma: "Moroccan Spoken Arabic ",<br />aa: "Algerian Spoken Arabic",<br />ss: "Sudanese Spoken Arabic",<br />np: "Nigerian Pidgin",<br />xc: "Xiang Chinese" |
| processingConfig.successRedirectUrl   | String   | This is the URL where user is redirected after redirectTime, when journey is completed.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| processingConfig.failureRedirectUrl   | String   | This is the URL where user is redirected after redirectTime, when journey is teminated.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| capturedData                          | Object   | Object containing captured data details.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| matchPercentage                       | Object   | Object containing matching percentages between data extracted and user info prefilled                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| documentIntelligence                  | Object   | Object containing document intelligence details.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| selfieAnalysis                        | Object   | Object containing selfie analysis details.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| \_id                                  | String   | Unique database ID.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| clientId                              | String   | ID of the client.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| userId                                | String   | ID of the user.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| journeyId                             | String   | ID of the journey.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| currentStatus                         | String   | Current status of the journey.: <br />- NOT STARTED - The journey has not been initiated by the user<br />- IN PROGRESS - The user has started the journey but has not completed it yet<br />- COMPLETED - The user has successfully completed the entire journey.<br />- TERMINATED - The journey was forcefully ended after the user exhausted all retry attempts during document analysis.<br />- ABANDONED - The user did not complete the journey, and the session timed out due to inactivity.<br /><br />**Note: a journey can have&#x20;**<br />currentStatus = "COMPLETED" **even if&#x20;**<br />**face match or liveness fails.**<br />****<br />**“Completed” only means the&#x20;**<br />**journey process finished  — not that the&#x20;**<br />**verification succeeded**<br />**.**                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| step                                  | String   | The step in the journey. Possible values are:<br />-   'INIT'<br />-   'CONSENT'<br />-   'COUNTRY\_SELECTION'<br />-   'DOC\_SELECTION'<br />-   'DOC\_FRONT'<br />-   'DOC\_BACK'<br />-   'DOC\_CHECK'<br />-   'DOC\_REJECT'<br />-   'LIVENESS\_CONSENT'<br />-   'FACE\_CAPTURE'<br />-   'COMPLETE',<br />                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| message                               | String   | Message providing details about the journey status. These messages are dependent on the step <br />INI&#x54;**&#x20;-&#x20;**&#x4A;ourney Started<br />CONSENT - Consent Received<br />COUNTRY\_SELECTION - Country Selected<br />DOC\_SELECTION - Document Type Selected<br />DOC\_FRONT - Front Side of Document Captured<br />DOC\_BACK - Back Side of Document Captured<br />DOC\_CHECK - Document Data Successfully Extracted<br />LIVENESS\_CONSENT - Liveness Consent Received<br />FACE\_CAPTURE - Face Successfully Captured<br />COMPLETE - Journey Completed<br />RETRIES\_EXCEEDED - Maximum Retries Exceeded<br />SESSION\_TIMED\_OUT - Session Timed Out Due to Inactivity<br />JOURNEY\_EXPIRED - Journey Link Expired and No Longer Valid                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| callbackSent                          | Boolean  | Indicates if the callback was sent.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| mobileStatus                          | Boolean  | Indicates if the mobile status is active.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| userInfo                              | object   | Object containing all prefilled data given when creating journey                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| createdAt                             | Number   | Timestamp of when the journey was created.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| startedAt                             | Number   | Timestamp of when the journey was started.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| completedAt                           | Number   | Timestamp of when the journey was completed.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| updatedAt                             | String   | Timestamp of the last update to the journey.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| \_\_v                                 | Number   | Related to database ID                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| \_deleted                             | Boolean  | Indicates if the data from signzy system is deleted or not                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| deletionTimeLimit                     | Number   | The duration after which the journey data will be automatically deleted from Signzy's system. This value is derived from the 'Automatic Data Deletion' configuration set in the dashboard                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ipAddresses                           | Object   | Includes the IP address captured during the journey, along with details from the IP quality check for each identified IP address                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |

**`result.capturedData`** object:&#x20;

| **Parameter Name** | **Type** | **Description**                                                                   |
| ------------------ | -------- | --------------------------------------------------------------------------------- |
| images.frontDoc    | String   | URL of the front side image of the document.                                      |
| images.backDoc     | String   | URL of the back side image of the document.                                       |
| images.selfie      | String   | URL of the selfie image.                                                          |
| consent            | Boolean  | Indicates if consent was given by the user.                                       |
| country            | String   | Country selected by the user.                                                     |
| idType             | String   | Type of document selected by the user in the journey                              |
| livenessConsent    | Boolean  | Indicates if consent was given by the user on the selfie analysis intruction page |

### `result.documentIntelligence` object:&#x20;

### completeStatus

| **Parameter Name**                          | **Type** | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| ------------------------------------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| completeStatus                              | Object   | Overall status and details of various checks performed on the document.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| completeStatus.detailsOptical               | Object   | Detailed optical check results.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| completeStatus.detailsOptical.docType       | String   | Status of document type verification.<br />- True: Check passed<br />- False: Check failed                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| completeStatus.detailsOptical.expiry        | String   | Status of expiry date verification.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| completeStatus.detailsOptical.imageQA       | String   | Status of image quality assessment.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type, image quality)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| completeStatus.detailsOptical.mrz           | String   | Status of MRZ (Machine-Readable Zone) check.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| completeStatus.detailsOptical.overallStatus | String   | Overall status of all optical checks.<br />- True: Check  passed<br />- False: Check failed                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| completeStatus.detailsOptical.pagesCount    | Number   | Number of pages in the document.<br />eg - 1 or 2                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| completeStatus.detailsOptical.security      | String   | Status of security features check.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| completeStatus.detailsOptical.text          | String   | Status of text verification.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| completeStatus.detailsOptical.vds           | String   | Status of VDS (Visible Digital Seal) check.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| completeStatus.optical                      | String   | Overall result of optical status.<br />- True: Check  passed<br />- False: Check failed                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| **completeStatus.overallStatus**            | String   | This field indicates the outcome of the document validation step in the journey. It is determined by the flag configuration set under <br />**Document Analysis > Additional Settings**<br />**This status serves as the primary indicator for the outcome of document intelligence**<br />**1. overallStatus = "True"**<br />Document successfully validated<br />- No issues were found, or only *low severity* flags were triggered.<br />- The document is considered valid as per the configured rules.<br />- The user is allowed to proceed with the journey.<br />**2. overallStatus = "False"**<br />Document validation failed<br />- A *high severity* flag was triggered.<br />- The user is blocked from proceeding further, with appropriate message.<br />**3. overallStatus = "Review"**<br />Document requires manual review<br />- A *medium severity* flags was triggered.<br />- The document has potential issues but does not block the user.<br />- The user is still allowed to proceed, but this status can be used for back-office review or audit trails.<br />**4. overallStatus = "Processing Error"**<br />Internal processing error<br />- An unexpected error occurred during document validation.<br />- The user sees an error screen with a retry option to reinitiate validation. |
| completeStatus.message                      | String   | This field provides a human-readable summary of the document validation result, based on the flags triggered during analysis.<br />- If **no flags** are triggered:<br />"Document validated successfully" is returned.<br />- If **any flags** are triggered:<br />The message reflects the specific issue identified, corresponding to the triggered flag(s)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| completeStatus.severity                     | String   | This field represents the severity level of the flag that was triggered during document analysis. The severity levels are based on the configuration defined in the Document Analysis > Additional Settings<br />- **Low** – A low-severity flag was triggered.<br />- **Medium** – A medium-severity flag was triggered.<br />- **High** – A high-severity flag was triggered.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| completeStatus.portrait                     | String   | Status of portrait verification.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| completeStatus.rfid                         | String   | Status of RFID (Radio-Frequency Identification) check.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |

### imageQuality.&#x20;

Two objects contain the image quality check results for the uploaded identity documents:

- **frontIdCheck** – Returned when the **front side** of the ID document is uploaded.
- **backIdCheck** – Returned only if the **back side** of the ID document is also uploaded.

Each object provides detailed insights into the quality and validation of the respective document side.

| **Parameter Name**                        | **Type** | **Description**                                                                                                                                             |
| ----------------------------------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| imageQuality                              | Object   | Results of image quality checks.                                                                                                                            |
| imageQuality.result                       | Boolean  | Overall result of image quality assessment.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type) |
| imageQuality.frontIdCheck                 | Object   | Detailed results of front ID image quality checks.                                                                                                          |
| imageQuality.frontIdCheck.ImageGlares     | Boolean  | Status of image glare check.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)                |
| imageQuality.frontIdCheck.ImageFocus      | Boolean  | Status of image focus check.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)                |
| imageQuality.frontIdCheck.ImageResolution | Boolean  | Status of image resolution check.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)           |
| imageQuality.frontIdCheck.ImageColorness  | String   | Status of image colorness check.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)            |
| imageQuality.frontIdCheck.Perspective     | Boolean  | Status of image perspective check.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)          |
| imageQuality.frontIdCheck.Bounds          | Boolean  | Status of image bounds check.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)               |
| imageQuality.frontIdCheck.Portrait        | Boolean  | Status of portrait image check.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)             |
| imageQuality.frontIdCheck.Brightness      | String   | Status of image brightness check.<br />- True: Check  passed<br />- False: Check failed<br />- None/NA : Check was not done ( depends on ID type)           |

### authenticityCheck

| **Parameter Name**                                | **Type** | **Description**                                                                           |
| ------------------------------------------------- | -------- | ----------------------------------------------------------------------------------------- |
| authenticityCheck                                 | Object   | Results of authenticity checks.                                                           |
| authenticityCheck.ocrSecurityText                 | Object   | Results of OCR (Optical Character Recognition) security text check.                       |
| authenticityCheck.ocrSecurityText.ElementResult   | Boolean  | Result of OCR security text check.<br />- True - Check passed<br />- False - Check failed |
| authenticityCheck.ocrSecurityText.ElementDiagnose | String   | Diagnosis of OCR security text check.                                                     |
| authenticityCheck.imagePattern                    | Object   | Results of image pattern check.                                                           |
| authenticityCheck.imagePattern.ElementResult      | Boolean  | Result of image pattern check.                                                            |
| authenticityCheck.imagePattern.ElementDiagnose    | String   | Diagnosis of image pattern check.                                                         |
| authenticityCheck.imagePattern.ElementType        | String   | Type of image pattern check.                                                              |
| authenticityCheck.imagePattern.Image              | String   | URL of the image pattern check result.                                                    |
| authenticityCheck.imagePattern.EtalonImage        | String   | URL of the etalon image used for comparison.                                              |
| authenticityCheck.photoEmbedType                  | Object   | Results of photo embed type check.                                                        |
| authenticityCheck.photoEmbedType.ElementResult    | Boolean  | Result of photo embed type check.                                                         |
| authenticityCheck.photoEmbedType.ElementDiagnose  | String   | Diagnosis of photo embed type check.                                                      |
| authenticityCheck.photoEmbedType.ElementType      | String   | Type of photo embed type check.                                                           |

### graphicFields

| **Parameter Name**                       | **Type** | **Description**                                                                                                            |
| ---------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------- |
| graphicFields                            | Object   | Details of graphic fields extracted from the document.                                                                     |
| graphicFields.fieldList                  | Array    | List of extracted graphic fields.                                                                                          |
| graphicFields.fieldList\[].fieldType     | String   | Type of the extracted field.                                                                                               |
| graphicFields.fieldList\[].value         | String   | Value of the extracted field.                                                                                              |
| graphicFields.fieldList\[].source        | String   | Source of the extracted field.                                                                                             |
| graphicFields.fieldList\[].containerType | String   | Container type of the extracted field.                                                                                     |
| graphicFields.fieldList\[].docSide       | String   | Details from which side of ID, was the graphic filed extracted<br />FRONT -> Front side of ID<br />BACK -> Back side of ID |

### predictedIdTypeFront and predictedIdTypeBack

Two objects contain the predicted ID type  results for the uploaded identity documents:

- **predictedIdTypeFront** – Returns analysis for **front side** of the ID document
- **predictedIdTypeBack** – Returns analysis for **back side** of the ID document if given

Each object provides detailed insights into the quality and validation of the respective document side.

| **Parameter Name**                          | **Type** | **Description**                                        |
| ------------------------------------------- | -------- | ------------------------------------------------------ |
| predictedIdTypeFront                        | Object   | Predicted ID type for the front side of the document.  |
| predictedIdTypeFront.DocumentName           | String   | Predicted Document of the front id                     |
| predictedIdTypeFront.FDSISList              | Object   | This object contains the details of the front document |
| predictedIdTypeFront.FDSISList.ICAOCode     | String   | ICAO Code of the country                               |
| predictedIdTypeFront.FDSISList.dCountryName | String   | Name of the country                                    |
| predictedIdTypeFront.FDSISList.dDescription | String   | Description of the Id                                  |
| predictedIdTypeFront.FDSISList.dFormat      | String   |                                                        |
| predictedIdTypeFront.FDSISList.dMRZ         | Boolean  | If mrz is present in the document                      |
| predictedIdTypeFront.FDSISList.dType        | Number   | Type of document, internal list.                       |
| predictedIdTypeFront.FDSISList.dYear        | String   | Year of issue                                          |
| ipredictedIdTypeFront.FDSISList.sDeprecated | Boolean  | if this id is deprecated                               |
| predictedIdTypeFront.P                      | Float    | Probability of likelihood of the predicted document    |

### idExpired&#x20;

| **Parameter Name** | **Type** | **Description**                                                                                          |
| ------------------ | -------- | -------------------------------------------------------------------------------------------------------- |
| idExpired          | String   | Status indicating whether the ID has expired.<br />- True: id is expired<br />- False: id is not expired |

### extractedFields - Object

The values extracted depends on the ID card submitted.

| **Parameter Name**                      | **Type** | **Description**                                |
| --------------------------------------- | -------- | ---------------------------------------------- |
| extractedFields                         | Object   | Fields extracted from the document.            |
| extractedFields.firstName               | String   | Extracted first name.                          |
| extractedFields.lastName                | String   | Extracted last name.                           |
| extractedFields.names                   | String   | Extracted full name.                           |
| extractedFields.address                 | String   | Extracted address.                             |
| extractedFields.number                  | String   | Extracted ID number.                           |
[...]
